Loading...
Searching...
No Matches
Catch::BenchmarkInfo Struct Reference

`#include <catch_amalgamated.hpp>`

## Public Attributes

std::string | name
double | estimatedDuration
int | iterations
unsigned int | samples
unsigned int | resamples
double | clockResolution
double | clockCost

## Member Data Documentation

## clockCost

double Catch::BenchmarkInfo::clockCost

## clockResolution

double Catch::BenchmarkInfo::clockResolution

## estimatedDuration

double Catch::BenchmarkInfo::estimatedDuration

## iterations

int Catch::BenchmarkInfo::iterations

## name

std::string Catch::BenchmarkInfo::name

## resamples

unsigned int Catch::BenchmarkInfo::resamples

## samples

unsigned int Catch::BenchmarkInfo::samples

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp